/*
 * Copyright 2009 Aplix Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

// assumes a div element with the name progress
function clearErrorMessage()
{
	document.getElementById("progress").innerHTML="";
}
function formatErrorMessage(m, optm) {
	if(optm) {
		document.getElementById("progress").innerHTML += "<div style='color: white; background: red;'>" + optm + " - " + m + "</div>";
	}
	else {
		document.getElementById("progress").innerHTML += "<div style='color: white; background: red;'>" + m + "</div>";
	}
}

function formatPassMessage(m) {
	document.getElementById("progress").innerHTML += "<div style='color: white; background: green;'>" + m + "</div>";
}

function formatDebugMessage(m) {
	document.getElementById("progress").innerHTML += "<div style='background: cyan;'>" + m + "</div>";
}
