/**
 * This file will call while clicking Contact icon
 * @author tirumula.k [ kotinitirumula@gmail.com ]
 * 
 */
var selectedMemory=0;
//Main JavaScript code goes here.
function showContact(type)
{
	selectedMemory=type;
	showAllContact(selectedMemory);
	
}

function showAllContact(storageType)
{
	cleanContactPagination();
	fetchResultContact=[];
	if(storageType==0)
	{
		$("listContact").innerHTML='<li class=""><div ><span>Loading Phone Contact</span></div></li>';
		$("viewContact").innerHTML="View Phone Contact";
		
	}
	else
	{
		$("listContact").innerHTML='<li class=""><div ><span>Loading Sim Contact<span></div></li>';
		$("viewContact").innerHTML="View Sim Contact";
	}
	showById('contactView');
	try {
		var addressbooks = contactObj.getAddressBooks();
		
		addressbooks[storageType].findContacts(successCallbackfindContacts,errorCallbackfindContacts,null);
	} 
	catch(e) {
		window_timeout_alert("Error :: " + e.message);
	}
} 
function cleanContactPagination()
{
	pagination.isTrue=false;
	pagination.current=0;
	pagination.next=0;
	pagination.prv=1;
	pagination.total=1;
	$("listContactPagnationBtn").style.display="none";
	$("listContactPagnationBtnLess").style.display="none";
	$("listContactPagnationBtnMore").style.display="none";
}
function showPaginatedContactsMore()
{
	
	//table = table +"<tr><th>Name</th><th>Telephone</th><tr>";
	
	var max=(pagination.current+5>pagination.total)?(pagination.total):pagination.current+5;
	
	var table =getPaginatedContactsList( pagination.current,max);
	
	if(max%5>0)
	{
		for (var i =max%5; i < 5; i++) {
			if(i%2==0)
			{
				table = table +'<li class=""><div class="content2"></div></li>';
			}
			else
			{
				table = table +'<li class="bg_brown"><div class="content2"></div></li>';
			}
		}
	}

	
	if(max<pagination.total)
	{
		$("listContactPagnationBtnLess").style.display="block";
		$("listContactPagnationBtnMore").style.display="block";
	}
	else
	{
		$("listContactPagnationBtnLess").style.display="block";
		$("listContactPagnationBtnMore").style.display="none";
	}
	$("listContact").innerHTML=table;
	
	pagination.next=pagination.next+1;
	pagination.prv=pagination.prv+1;
	pagination.current=max;
	
}
function showPaginatedContactsLess()
{
	
	//table = table +"<tr><th>Name</th><th>Telephone</th><tr>";
	
	//var max=(pagination.current-5<5)?fetchResultContact.length:(pagination.current+5);
	
	var table =getPaginatedContactsList( (pagination.prv*5)-5,(pagination.prv*5));
	if((pagination.prv*5)-5>0)
	{
		$("listContactPagnationBtnLess").style.display="block";
		$("listContactPagnationBtnMore").style.display="block";
	}
	else
	{
		$("listContactPagnationBtnLess").style.display="none";
		$("listContactPagnationBtnMore").style.display="block";
	}
	$("listContact").innerHTML=table;
	pagination.current=(pagination.prv*5);
	pagination.next=pagination.next-1;
	pagination.prv=pagination.prv-1;
	
}
function getPaginatedContactsList(from,to)
{
   var table="";
	for (var i = from; i < to; i++) {
		var name=fetchResultContact[i].name;
		if(name.length>17)
		{
			name=name.substring(0,17)+"...";
		}
		var telephone=fetchResultContact[i].telephone;
		var contactNO=telephone;
		if(telephone.length>17)
		{
			telephone=telephone.substring(0,17)+"...";
		}
		 
		if(i%2==0)
		{
			//table = table +'<li class=""><div class="content2">'+name+'<br/><span>'+telephone+'</span></div><div class="option"><img onclick="editContact('+selectedMemory+','+i+')" align="absmiddle" src="images/iphonestyle/S000_Phone_icon.png"><img onclick="deleteContact('+selectedMemory+',\''+fetchResultContact[i].id+'\')" align="absmiddle" src="images/tableDiv/delete.png"></div></li>';
			
			table = table +'<li class=""><div class="content2" onclick="openContact('+selectedMemory+','+i+')">'+name+'<br/><span>'+telephone+'</span></div><div class="option"><img onclick="callContact('+contactNO+')" align="absmiddle" src="images/iphonestyle/phone-icon.png"><img onclick="smsContact('+contactNO+')" align="absmiddle" src="images/iphonestyle/SMS-icon.png"></div></li>';
		}
		else
		{
			//table = table +'<li class="bg_brown"><div class="content2">'+name+'<br/><span>'+telephone+'</span></div><div class="option"><img onclick="editContact('+selectedMemory+','+i+')" align="absmiddle" src="images/iphonestyle/S000_Phone_icon.png"><img onclick="deleteContact('+selectedMemory+',\''+fetchResultContact[i].id+'\')" align="absmiddle" src="images/tableDiv/delete.png"></div></li>';
			
			table = table +'<li class="bg_brown"><div class="content2" onclick="openContact('+selectedMemory+','+i+')">'+name+'<br/><span>'+telephone+'</span></div><div class="option"><img onclick="callContact('+contactNO+')" align="absmiddle" src="images/iphonestyle/phone-icon.png"><img onclick="smsContact('+contactNO+')" align="absmiddle" src="images/iphonestyle/SMS-icon.png"></div></li>';
			
		}
		//table = table +"<tr><td>"+response[i].name+"</td><td>"+response[i].telephone+"</td><tr>";
	}
	return table;
}
function showPaginatedContacts()
{
	 
	//table = table +"<tr><th>Name</th><th>Telephone</th><tr>";
	
	var max=(fetchResultContact.length<5)?fetchResultContact.length:5;
	
	var table =getPaginatedContactsList(0,max);
	if(fetchResultContact.length<=5)
	{
		for (var i =fetchResultContact.length; i < 5; i++) {
			if(i%2==0)
			{
				table = table +'<li class=""><div class="content2"></div></li>';
			}
			else
			{
				table = table +'<li class="bg_brown"><div class="content2"></div></li>';
			}
		}
		$("listContactPagnationBtn").style.display="none";
	}
	else
	{
		pagination.isTrue=true;
		pagination.current=5;
		pagination.next=1;
		pagination.prv=0;
		pagination.total=fetchResultContact.length;
		
		$("listContactPagnationBtn").style.display="block";
		
		$("listContactPagnationBtnLess").style.display="none";
		$("listContactPagnationBtnMore").style.display="block";
		
		
		
	}
	//table = table + ">";
	$("listContact").innerHTML=table;
}
function successCallbackfindContacts(response)
{
	fetchResultContact=response;
	if (response.length > 0) {
		showPaginatedContacts()
	}
	else{
		
		var strli='<li class="" ><div class="content2"><span>No Items Found</span></div></li>';
		for(var i=0;i<4;i++)
		{
			if(i%2==0)
			{
				strli+='<li class="">&nbsp;</li>';
			}
			else
			{
				strli+='<li class="bg_brown">&nbsp;</li>';
			}
		}
		$("listContact").innerHTML=strli;
	}
}
function errorCallbackfindContacts(e)
{
	var strli='<li class="bg_brown" ><div class="content2"><span>Problem While Loading Conatcts</span></div></li>';
	for(var i=0;i<4;i++)
	{
		if(i%2==0)
		{
			strli+='<li class="">&nbsp;</li>';
		}
		else
		{
			strli+='<li class="bg_brown">&nbsp;</li>';
		}
	}
	$("listContact").innerHTML=strli;
	  //alert( "The following error: " +  response + ", occurred findContacts");
	window_timeout_alert("Error :: " + e.message);
}
function showAddressDetail()
{
	$('phoneTable').style.display="none";	
	$('phoneTableAddress').style.display="block";
}
function showContactDetail()
{
	$('phoneTable').style.display="block";	
	$('phoneTableAddress').style.display="none";
}

function showTable(type)
{
	clearAddContacts();
	showById('contactAdd');
	 if(type==0)
	 {
		 $('phoneTable').style.display="block";
		 $('phoneTableAddress').style.display="none";
		 $('simTable').style.display="none";
		 $('showTableBtn0').className="buttonBg2_sel";
		 $('showTableBtn1').className="buttonBg2";
		 selectedMemory=0;
	 }
	 else
	 {
		 $('phoneTable').style.display="none";
		 $('phoneTableAddress').style.display="none";
		 $('simTable').style.display="block";
		 $('showTableBtn1').className="buttonBg2_sel";
		 $('showTableBtn0').className="buttonBg2";
		 selectedMemory=1;
	 }
}
var Name="";
var Telephone="";
var NickName="";
var Mail="";


var Street="";
var Number="";
var Postalcode="";
var City="";
var Country="";

var contactAddress = {street:"",number:"",postalcode:"",city:"",country:""};
var contactDetail =  { name:"",
                     nickName:"",
                     address:"",
                     mail:"",
                     telephone:"",
                     photo:""};

function saveAddContacts()
{
	if(selectedMemory==0)
	{
		Name=$('NamePhone').value;
		Telephone =$('TelephonePhone').value;
		NickName=$('NickNamePhone').value; 
		Mail=$('MailPhone').value;
		
		Street=$('StreetPhone').value;
		Number =$('NumberPhone').value;
		Postalcode=$('PostalcodePhone').value; 
		City=$('CityPhone').value;
		Country=$('CountryPhone').value;
	}
	else
	{
		Name =$('NameSim').value;
		Telephone=$('TelephoneSim').value;
		NickName="";
		Mail="";
		
		Street="";
		Number ="";
		Postalcode="";
		City="";
		Country="";
	}
	if(checkInternationalPhone(Telephone))
	{
		clearErrorMessage();
		addMyContact();
	}
	else
	{
		
	}
}

function saveEditContacts()
{
	if(selectedMemory==0)
	{
		Name=$('NamePhone_1').value;
		Telephone =$('TelephonePhone_1').value;
		NickName=$('NickNamePhone_1').value; 
		Mail=$('MailPhone_1').value;
		
		Street=$('StreetPhone_1').value;
		Number =$('NumberPhone_1').value;
		Postalcode=$('PostalcodePhone_1').value; 
		City=$('CityPhone_1').value;
		Country=$('CountryPhone_1').value;
	}
	else
	{
		Name =$('NameSim_1').value;
		Telephone=$('TelephoneSim_1').value;
		NickName="";
		Mail="";
	}
	if(checkInternationalPhone(Telephone))
	{
		clearErrorMessage();
		upDateSelectedContact();
	}
	else
	{
		
	}
}

function checkInternationalPhone(strPhone){
	
		var returnType=false;
		if(strPhone==null || strPhone==undefined || strPhone=="")
		{
			window_timeout_alert("Please Enter valid phone no");
			return false;
		}
		if(strPhone.indexOf("+")>1){ 
			returnType= false;
		
		}
		else
		{
			if(isNaN(strPhone.substring(1,strPhone.length)))
			{
				returnType=false;
			}
			else
			{
				returnType=true;
			}
		}
		
		if(returnType)
		{
			
			return true;
		}
		else
		{
			window_timeout_alert("Please Enter valid phone no");
			return false;
		}
	}
function upDateSelectedContact()
{
	try {
		var contact=fetchResultContact[editContactNo];
		contact.name=Name;
		contact.nickName=NickName;
		contact.mail=Mail;
		contact.telephone=Telephone;
		
		var copyContactAddress=contact.address;
		
		copyContactAddress.street=Street;
		copyContactAddress.number=Number;
		copyContactAddress.postalcode=Postalcode;
		copyContactAddress.city=City;
		copyContactAddress.country=Country;
		
		contact.address=copyContactAddress;
		
		var addressbooks = contactObj.getAddressBooks();
		addressbooks[selectedMemory].updateContact(successCallbackEdit,errorCallbackEdit,contact);
	} catch (e) {
		// TODO: handle exception
		window_timeout_alert("Error :: " + e.message);
	}
	
}
function successCallbackEdit(response) {
	window_timeout_alert("Contact Updated");
	showContact(selectedMemory);
	//showContact(selectedMemory);
}

function errorCallbackEdit(e) {
	//formatErrorMessage( "The following error: " +  response + ", occurred updating a contact");
	window_timeout_alert("Error :: " + e.message);
}
function editContactBack(){
	showContact(selectedMemory);
}
function addMyContact()
{	
	try {
		var copyContactDetail=ObjectHandler.getCloneOfObject(contactDetail);
		
		copyContactDetail.name=Name;
		copyContactDetail.nickName=NickName;
		copyContactDetail.mail=Mail;
		copyContactDetail.telephone=Telephone;
		copyContactDetail.photo="";
		
		var copyContactAddress=ObjectHandler.getCloneOfObject(contactAddress);
		
		copyContactAddress.street=Street;
		copyContactAddress.number=Number;
		copyContactAddress.postalcode=Postalcode;
		copyContactAddress.city=City;
		copyContactAddress.country=Country;
		
		copyContactDetail.address=copyContactAddress;
		
		var addressbooks = contactObj.getAddressBooks();
		
		if(selectedMemory)
		{
			formatDebugMessage("Start Add Contact In Sim");
		
		}
		else if(selectedMemory)
		{
			formatDebugMessage("Start Add Contact In Phone");
		}
		var contact=addressbooks[selectedMemory].createContact(copyContactDetail);
		addressbooks[selectedMemory].addContact(successCallback,errorCallback,contact);
	} 
	catch(e) {
		window_timeout_alert("Error :: " + e.message);
	}
}
function successCallback(response) {
	window_timeout_alert("Contact Added");
	showById('contact');
}

function errorCallback(e) {
	///formatErrorMessage( "The following error: " +  response + ", occurred adding a contact");
	window_timeout_alert("Error :: " + e.message);
}
function editContactAddressDetail()
{
	$('phoneTable2').style.display="none";
	$('phoneTableAddress2').style.display="block";
	
}
function editContactDetail()
{
	$('phoneTable2').style.display="block";
	$('phoneTableAddress2').style.display="none";
}

var editContactType="";
var	editContactNo="";
function editContact(type,ith)
{
	
	
	showById('contactEdit');
	editContactType=type;
	editContactNo=ith;
	if(type==0)
	 {
		 $('phoneTable2').style.display="block";
		 $('simTable2').style.display="none";
		 $('phoneTableAddress2').style.display="none";
		 
		 	
		 	$('NamePhone_1').value=fetchResultContact[ith].name;
			$('TelephonePhone_1').value=fetchResultContact[ith].telephone;
			$('NickNamePhone_1').value=fetchResultContact[ith].nickName;
			$('MailPhone_1').value=fetchResultContact[ith].mail;
			
			$('StreetPhone_1').value=fetchResultContact[ith].address.street;
			$('NumberPhone_1').value=fetchResultContact[ith].address.number;
			$('PostalcodePhone_1').value=fetchResultContact[ith].address.postalcode;
			$('CityPhone_1').value=fetchResultContact[ith].address.city;
			$('CountryPhone_1').value=fetchResultContact[ith].address.country;
			
			
	 }
	 else
	 {
		 $('phoneTable2').style.display="none";
		 $('simTable2').style.display="block";
		 $('phoneTableAddress2').style.display="none";
		$('NameSim_1').value=fetchResultContact[ith].name;
		$('TelephoneSim_1').value=fetchResultContact[ith].telephone; 
		 
	 }
}
function clearEditContacts()
{
	$('NamePhone_1').value="";
	$('TelephonePhone_1').value="";
	$('NickNamePhone_1').value="";
	$('MailPhone_1').value="";
	
	$('StreetPhone_1').value="";
	$('NumberPhone_1').value="";
	$('PostalcodePhone_1').value="";
	$('CityPhone_1').value="";
	$('CountryPhone_1').value="";
	
	$('NameSim_1').value="";
	$('TelephoneSim_1').value=""; 
}
function clearAddContacts()
{
	$('NamePhone').value="";
	$('TelephonePhone').value="";
	$('NickNamePhone').value="";
	$('MailPhone').value="";
	
	$('StreetPhone').value="";
	$('NumberPhone').value="";
	$('PostalcodePhone').value="";
	$('CityPhone').value="";
	$('CountryPhone').value="";
	
	$('NameSim').value="";
	$('TelephoneSim').value=""; 
}
var deleteContact_ID;
var deleteContact_From;
function agreeDeleteContact()
{
	clearErrorMessage();
	formatDebugMessage("agreeDeleteContact");
	deleteSelected(deleteContact_From,deleteContact_ID);
}
function disAgreeDeleteContact()
{
	clearErrorMessage()
	formatDebugMessage("disAgreeDeleteContact");
}
function deleteContact(from,id)
{
	deleteContact_ID=id;
	deleteContact_From=from;
	window_confirm("Do you want to Delete Contact ?",agreeDeleteContact,disAgreeDeleteContact);
}



function deleteSelected(storageType,id)
{
	var addressbooks = contactObj.getAddressBooks();
	
	for(var i=0;i<fetchResultContact.length;i++)
	{
		if(fetchResultContact[i].id==deleteContact_ID)
		{
			 try {
				 addressbooks[storageType].deleteContact(successCallbackdeleteContact,errorCallbackdeleteContact,fetchResultContact[i]);
			} catch (e) {
				// TODO: handle exception
				window_timeout_alert("Error While deleteContact::: " + e.message);
			}
		}
	}
	
}
function successCallbackdeleteContact(response)
{
	clearErrorMessage();	
	window_timeout_alert("Contact Deleted.");
	showContact(deleteContact_From);
}
function errorCallbackdeleteContact(response)
{
	window_timeout_alert("Error  ::: " + response.message);
	//clearErrorMessage();	
	//formatErrorMessage( "The following error: " +  response + ", occurred  while Deleted Selected Contact");
	showContact(deleteContact_From);
}
function deleteAll(type)
{
	 if(type==0)
	 {
		 selectedMemory=0;
		 window_confirm("Do you want to delete all contacts?",agreeDeleteAllContact,disAgreeDeleteAllContact);
	 }
	 else
	 {
		 selectedMemory=1;
	 }
}


function agreeDeleteAllContact()
{
	clearErrorMessage();
	formatDebugMessage("agreeDeleteContact");
	deleteAllContact(selectedMemory);
}
function disAgreeDeleteAllContact()
{
	clearErrorMessage();
	formatDebugMessage("disAgreeDeleteContact");
}


function deleteAllContact(storageType)
{
	try {
		var addressbooks = contactObj.getAddressBooks();
		// Delete all contacts...
	    addressbooks[storageType].deleteAllContacts(successCallbackdeleteAll, errorCallbackdeleteAll);
	} catch (e) {
		// TODO: handle exception
		window_timeout_alert("Error :: " + e.message);
	}
	
 	
}
 function successCallbackdeleteAll(response) {
	 window_timeout_alert("Deleted all contacts.");
}

function errorCallbackdeleteAll(response) {
	window_timeout_alert("Error  ::: " + response.message);
	//window_timeout_alert( "The following error: " +  response.code + ", occurred deleting all contacts.");
 }


var selectedContactMemory=0;
var selectedContactIndex=0;

function openContact(selectedMemoryType,ith)
{
	selectedContactMemory=selectedMemoryType;
	selectedContactIndex=ith;
	var cname=fetchResultContact[selectedContactIndex].name;
	$("contactPopUPMsg").innerHTML=(cname==null || cname==undefined)?"":cname+"'s Contact";
	showContactPopUP();

}

function onViewContact()
{
	closeContactPopUP();
	showSelectedContact();
	
}
function onEditContact()
{
	closeContactPopUP();
	editContact(selectedContactMemory,selectedContactIndex);
}
function onDeleteContact()
{
	closeContactPopUP()
	deleteContact(selectedContactMemory,fetchResultContact[selectedContactIndex].id);
}
function onCallContact()
{
	var telephone=fetchResultContact[selectedContactIndex].telephone;
	callContact(telephone);
	
}
function onSMSContact()
{
	var telephone=fetchResultContact[selectedContactIndex].telephone;
	
	 smsContact(telephone);
	
}
function showSelectedContactAddress()
{
	$('phoneTableAddress3').style.display="block";
	$('phoneTable3').style.display="none";
}
function showSelectedContact()
{
	
	var type=selectedContactMemory;
	var ith=selectedContactIndex;
	showById('contactShow');
	if(type==0)
	 {
		 $('phoneTable3').style.display="block";
		 $('phoneTableAddress3').style.display="none";
		 $('simTable3').style.display="none";		
		 	
		 	$('NamePhone_2').innerHTML=fetchResultContact[ith].name;
			$('TelephonePhone_2').innerHTML=fetchResultContact[ith].telephone;
			$('NickNamePhone_2').innerHTML=fetchResultContact[ith].nickName;
			$('MailPhone_2').innerHTML=fetchResultContact[ith].mail;
			
			$('StreetPhone_2').innerHTML=fetchResultContact[ith].address.street;
			$('NumberPhone_2').innerHTML=fetchResultContact[ith].address.number;
			$('PostalcodePhone_2').innerHTML=fetchResultContact[ith].address.postalcode;
			$('CityPhone_2').innerHTML=fetchResultContact[ith].address.city;
			$('CountryPhone_2').innerHTML=fetchResultContact[ith].address.country;
			
			
	 }
	 else
	 {
		 $('phoneTable3').style.display="none";
		 $('phoneTableAddress3').style.display="none";
		 $('simTable3').style.display="block";
		 
		 $('NameSim_2').innerHTML=fetchResultContact[ith].name;
		 $('TelephoneSim_2').innerHTML=fetchResultContact[ith].telephone; 
		 
	 }
}
