/**
 * This file will call while clicking Task icon
 * @author tirumula.k [ kotinitirumula@gmail.com ]
 * 
 */
var selectedList=0;
var tasksummary="";
var note="";			
var due=new Date();
var status=0;
var priority=0;

function showAllTasks(type)
{
	 tasksummary="";
	 note="";			
	 due="";
	 status=0;
	 priority=0;
	
	showById("viewtask");
	
	cleanTaskPagination();
	 selectedList=type;
	 var taskLists = taskObj.getTaskLists();

     // Find the tasks with the specified summary.
     taskLists[0].findTasks(successCallbackShowAllTasks, errorCallbackShowAllTasks, null);

	
}


// Define the success callback.
function successCallbackShowAllTasks(response) {
	
		fetchResultTask=response;
		if (response.length > 0) {
    		showPaginatedTasks();
    	}
    	else{
    		var strli='<li class="bg_brown" ><div class="content2"><span>No Items Found</span></div></li>';
    		for(var i=0;i<4;i++)
    		{
    			if(i%2==0)
    			{
    				strli+='<li class="">&nbsp;</li>';
    			}
    			else
    			{
    				strli+='<li class="bg_brown">&nbsp;</li>';
    			}
    		}
    		$("listTasks").innerHTML=strli;
    	}
}

// Define the error callback.
function errorCallbackShowAllTasks(response) {
		window_timeout_alert(e.message);
		//$("listTasks").innerHTML='<li class=""><div ><span>Problem While Loading Tasks</span></div></li>';  
		var strli='<li class="bg_brown" ><div class="content2"><span>Problem While Loading Tasks</span></div></li>';
		for(var i=0;i<4;i++)
		{
			if(i%2==0)
			{
				strli+='<li class="">&nbsp;</li>';
			}
			else
			{
				strli+='<li class="bg_brown">&nbsp;</li>';
			}
		}
		$("listTasks").innerHTML=strli;
}


function cleanTaskPagination()
{
	pagination.isTrue=false;
	pagination.current=0;
	pagination.next=0;
	pagination.prv=1;
	pagination.total=1;
	$("listTaskPagnationBtn").style.display="none";
	$("listTaskPagnationBtnLess").style.display="none";
	$("listTaskPagnationBtnMore").style.display="none";
}
function showPaginatedTasksMore()
{
	
	//table = table +"<tr><th>Name</th><th>Telephone</th><tr>";
	
	var max=(pagination.current+5>pagination.total)?(pagination.total):pagination.current+5;
	
	var table =getPaginatedTasksList( pagination.current,max);
	
	if(max%5>0)
	{
		for (var i =max%5; i < 5; i++) {
			if(i%2==0)
			{
				table = table +'<li class=""><div class="content2"></div></li>';
			}
			else
			{
				table = table +'<li class="bg_brown"><div class="content2"></div></li>';
			}
		}
	}

	
	if(max<pagination.total)
	{
		$("listTaskPagnationBtnLess").style.display="block";
		$("listTaskPagnationBtnMore").style.display="block";
	}
	else
	{
		$("listTaskPagnationBtnLess").style.display="block";
		$("listTaskPagnationBtnMore").style.display="none";
	}
	$("listTasks").innerHTML=table;
	
	pagination.next=pagination.next+1;
	pagination.prv=pagination.prv+1;
	pagination.current=max;
	
}
function showPaginatedTasksLess()
{
	
	//table = table +"<tr><th>Name</th><th>Telephone</th><tr>";
	
	//var max=(pagination.current-5<5)?fetchResultTask.length:(pagination.current+5);
	
	var table =getPaginatedTasksList( (pagination.prv*5)-5,(pagination.prv*5));
	if((pagination.prv*5)-5>0)
	{
		$("listTaskPagnationBtnLess").style.display="block";
		$("listTaskPagnationBtnMore").style.display="block";
	}
	else
	{
		$("listTaskPagnationBtnLess").style.display="none";
		$("listTaskPagnationBtnMore").style.display="block";
	}
	$("listTasks").innerHTML=table;
	pagination.current=(pagination.prv*5);
	pagination.next=pagination.next-1;
	pagination.prv=pagination.prv-1;
	
}
function getPaginatedTasksList(from,to)
{
   var table="";
	for (var i = from; i < to; i++) {
		var summary=fetchResultTask[i].summary;
		if(summary.length>17)
		{
			summary=summary.substring(0,17)+"...";
		}
		var note=fetchResultTask[i].note;
		if(note.length>17)
		{
			note=note.substring(0,17)+"...";
		}
		 
		if(i%2==0)
		{
			table = table +'<li class=""><div class="content2" onclick="showTaskDetail('+selectedMemory+','+i+')">'+summary+'<br/><span>'+note+'</span></div><div class="option"><img onclick="editTask('+selectedMemory+','+i+')" align="absmiddle" src="images/edit-icon.png"><img onclick="deleteTask('+selectedMemory+',\''+fetchResultTask[i].id+'\')" align="absmiddle" src="images/delete-icon.png"></div></li>';
		}
		else
		{
			table = table +'<li class="bg_brown"><div class="content2" onclick="showTaskDetail('+selectedMemory+','+i+')">'+summary+'<br/><span>'+note+'</span></div><div class="option"><img onclick="editTask('+selectedMemory+','+i+')" align="absmiddle" src="images/edit-icon.png"><img onclick="deleteTask('+selectedMemory+',\''+fetchResultTask[i].id+'\')" align="absmiddle" src="images/delete-icon.png"></div></li>';
			
		}
		//table = table +"<tr><td>"+response[i].name+"</td><td>"+response[i].telephone+"</td><tr>";
	}
	return table;
}
function showPaginatedTasks()
{
	 
	//table = table +"<tr><th>Name</th><th>Telephone</th><tr>";
	
	var max=(fetchResultTask.length<5)?fetchResultTask.length:5;
	
	var table =getPaginatedTasksList(0,max);
	if(fetchResultTask.length<=5)
	{
		for (var i =fetchResultTask.length; i < 5; i++) {
			if(i%2==0)
			{
				table = table +'<li class=""><div class="content2"></div></li>';
			}
			else
			{
				table = table +'<li class="bg_brown"><div class="content2"></div></li>';
			}
		}
		$("listTaskPagnationBtn").style.display="none";
	}
	else
	{
		pagination.isTrue=true;
		pagination.current=5;
		pagination.next=1;
		pagination.prv=0;
		pagination.total=fetchResultTask.length;
		
		$("listTaskPagnationBtn").style.display="block";
		
		$("listTaskPagnationBtnLess").style.display="none";
		$("listTaskPagnationBtnMore").style.display="block";
		
		
		
	}
	//table = table + ">";
	$("listTasks").innerHTML=table;
}
function showAddTask()
{
	clearTask();
	$("taskModifyHdr").innerHTML="Add Task";
	$("saveNewTask").style.display="block";
	$("saveEditTask").style.display="none";
	
	$("backAddTask").style.display="block";
	$("backViewTask").style.display="none";
	 
	var taskdue=new Date();
	taskdue.setMinutes(taskdue.getMinutes()+30);
	$("due").value=getDateStr(taskdue);
	showById('addTaskDetailDiv');
}






function saveNewTask()
{
	
	try {
		if(validateDatePopup($("due").value))
		{
			tasksummary=$("tasksummary").value;
			note=$("note").value;			
			due=new Date($("due").value);
			status=$("status").selectedIndex;
			priority=$("priority").selectedIndex;
		
				
			var tasklists = taskObj.getTaskLists();
		    var task = tasklists[selectedList].createTask({"priority":eval(priority), "summary":tasksummary, "note":note, "due":due, "status":eval(status)});
		    tasklists[selectedList].addTask(task);
		    window_timeout_alert("Task Added");
		    showById('applist');
		}
		
	} catch (e) {
		window_timeout_alert(e.message);
		// TODO: handle exception
	}
	
	
}

function saveEditTask()
{
	try {
		if(validateDatePopup($("due").value))
		{			
			tasksummary=$("tasksummary").value;
			note=$("note").value;			
			due=new Date($("due").value);
			status=$("status").selectedIndex;
			priority=$("priority").selectedIndex;
			
			
			var editTask=fetchResultTask[editTaskNo];
			editTask.summary=tasksummary;
			editTask.note=note;
			editTask.due=due;
			editTask.status=eval(status);
			editTask.priority=eval(priority);
			
			var tasklists = taskObj.getTaskLists();
		    tasklists[selectedList].updateTask(editTask);
		    window_timeout_alert("Task Updated");
		    showAllTasks(selectedList);
		}
		
	} catch (e) {
		window_timeout_alert(e.message);
		// TODO: handle exception
	}
}


var deleteTask_ID;
var deleteTask_From;
function agreeDeleteTask()
{
	clearErrorMessage();
	formatDebugMessage("agreeDeleteTask");
	deleteSelectedTask(deleteTask_From,deleteTask_ID);
}
function disAgreeDeleteTask()
{
	clearErrorMessage()
	formatDebugMessage("disAgreeDeleteTask");
}
function deleteTask(from,id)
{
	deleteTask_ID=id;
	deleteTask_From=from;
	window_confirm("Do you want to DeleteTask ?",agreeDeleteTask,disAgreeDeleteTask);
}



function deleteSelectedTask(storageType,id)
{
	var tasklists = taskObj.getTaskLists();
    
	
	for(var i=0;i<fetchResultTask.length;i++)
	{
		if(fetchResultTask[i].id==id)
		{
			tasklists[storageType].deleteTask(fetchResultTask[i]);
			window_timeout_alert("Task Deleted");
		}
	}
	showAllTasks(storageType);
	
}
function editTaskGoBack()
{
	showAllTasks(selectedList);
}
var showTaskDetailType="";
var showTaskDetailNo="";
function editTaskDetail()
{
	editTask(showTaskDetailType,showTaskDetailNo);
}
function showTaskDetail(storageType,ith)
{
	showTaskDetailType=storageType;
	showTaskDetailNo=ith;
	showById('showTaskDetailDiv');
	
	$('tasksummary_show').innerHTML=fetchResultTask[ith].summary;
	$('note_show').innerHTML=fetchResultTask[ith].note;
	
	
	var selDate=fetchResultTask[ith].due;
	var dateStr=((selDate.getDate()<10)?"0":"")+selDate.getDate();
	var minsStr=((selDate.getMinutes()<10)?"0":"")+selDate.getMinutes();
	var hourStr=((selDate.getHours()<10)?"0":"")+selDate.getHours();
	var secondStr=((selDate.getSeconds()<10)?"0":"")+selDate.getSeconds();
	var strdue=dateStr+" "+mn[selDate.getMonth()]+ ' '+ selDate.getFullYear()+" "+hourStr+":"+minsStr+":"+secondStr;
	
	$('due_show').innerHTML=strdue;	
	$('status_show').selectedIndex=fetchResultTask[ith].status;
	$('priority_show').selectedIndex=fetchResultTask[ith].priority;
}
var editTaskType="";
var	editTaskNo="";
function clearTask()
{
	$('tasksummary').value="";
	$('note').value="";
	$('due').value="";
	$('status').selectedIndex=0;
	$('priority').selectedIndex=0;
	
}
function editTask(storageType,ith)
{

	 editTaskType=storageType;
	 editTaskNo=ith;
	
	showEditTask();
	
 	$('tasksummary').value=fetchResultTask[ith].summary;
	$('note').value=fetchResultTask[ith].note;
	
	
	var selDate=fetchResultTask[ith].due;
	var dateStr=((selDate.getDate()<10)?"0":"")+selDate.getDate();
	var minsStr=((selDate.getMinutes()<10)?"0":"")+selDate.getMinutes();
	var hourStr=((selDate.getHours()<10)?"0":"")+selDate.getHours();
	var secondStr=((selDate.getSeconds()<10)?"0":"")+selDate.getSeconds();
	var strdue=dateStr+" "+mn[selDate.getMonth()]+ ' '+ selDate.getFullYear()+" "+hourStr+":"+minsStr+":"+secondStr;
	
	$('due').value=strdue;	
	$('status').selectedIndex=fetchResultTask[ith].status;
	$('priority').selectedIndex=fetchResultTask[ith].priority;
	
		
	/*$('StreetPhone_1').value=fetchResultContact[ith].address.street;
	$('NumberPhone_1').value=fetchResultContact[ith].address.number;
	$('PostalcodePhone_1').value=fetchResultContact[ith].address.postalcode;
	$('CityPhone_1').value=fetchResultContact[ith].address.city;
	$('CountryPhone_1').value=fetchResultContact[ith].address.country;*/
}

function showEditTask()
{
	$("taskModifyHdr").innerHTML="Edit Task";
	$("saveNewTask").style.display="none";
	$("saveEditTask").style.display="block";
	$("backAddTask").style.display="none";
	$("backViewTask").style.display="block";
	showById('addTaskDetailDiv');
}



function clearAllTask()
{
	deleteTask();
}
function agreeDeleteAllTask()
{
	clearErrorMessage();
	formatDebugMessage("agreeDeleteAllTask");
	deleteAllTask(selectedList);
}
function disAgreeDeleteAllTask()
{
	clearErrorMessage()
	formatDebugMessage("disAgreeDeleteAllTask");
}
function clearAllTask(type)
{
	selectedList=type;
	window_confirm("Do you want to DeleteAll Task ?",agreeDeleteAllTask,disAgreeDeleteAllTask);
}

function deleteAllTask()
{
	try {
		var tasklists = taskObj.getTaskLists();
	
		tasklists[selectedList].clearTasks(successClearTask,failureClearTask);
	} catch (e) {
		// TODO: handle exception
		window_timeout_alert(e.message);
		//window_timeout_alert("Problem While Deleting All Task"+ e.message);
	}
	
}
function successClearTask(resp)
{
	window_timeout_alert("All Tasks Deleted");
}
function failureClearTask(e)
{
	window_timeout_alert(e.message);
	//window_timeout_alert("Problem While Deleting All Tasks");
}